package com.dragonsoft.dcuc.approve.model.resp.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/11/7
 */
@Setter
@Getter
@ToString
@ApiModel(value = "流程业务数据")
public class BuApproveSyncBizDataReqVO {

    @NotNull
    @Valid
    @ApiModelProperty(value = "任务数据")
    private BuApproveSyncBizApproveReqVO taskInfo;

    @Valid
    @ApiModelProperty(value = "要素/承办人数据")
    private List<BuApproveSyncBizApproveGridReqVO> approveGrid;

}
